Subject: Re: bug#4124: 23.1; mwheel in --daemon mode
From: Chong Yidong <[email-masked]>
To: Stefan Monnier <[email-masked]>
Cc: John Prevost <[email-masked]>, [email-masked], Dan Nicolaescu <[email-masked]>
Date: Sun, 16 Aug 2009 01:56:19 -0400

> > No.  The essential problem is that in 'x', the mouse wheel events are
> > 'mouse-4' and 'mouse-5', while in 'ns' and 'w32', the mouse wheel
> > events are 'wheel-up' and 'wheel-down'. 
>
> Indeed.  We should remap mouse-4/5 to wheel-up/down in term/x-win.el
> via function-key-map... So basically, I'd like to extend the
> function-key-map facilities so that you can have entries that remap a
> whole set of events, but it's still on the todo list.

In the meantime, we can just test for the `ns-win' and `w32-win'
features (or, equivalently, the system-type variable, but I think the
former are more to the point).  I checked in a fix to mwheel.el along
these lines.